<?php
$tdatakardex_total_bio = array();
$tdatakardex_total_bio[".searchableFields"] = array();
$tdatakardex_total_bio[".ShortName"] = "kardex_total_bio";
$tdatakardex_total_bio[".OwnerID"] = "apellido_Materno";
$tdatakardex_total_bio[".OriginalTable"] = "acciones_pagadas_pendientes";


$tdatakardex_total_bio[".pagesByType"] = my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"]}" );
$tdatakardex_total_bio[".originalPagesByType"] = $tdatakardex_total_bio[".pagesByType"];
$tdatakardex_total_bio[".pages"] = types2pages( my_json_decode( "{\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\"],\"masterlist\":[\"masterlist\"],\"masterprint\":[\"masterprint\"],\"print\":[\"print\"],\"search\":[\"search\"]}" ) );
$tdatakardex_total_bio[".originalPages"] = $tdatakardex_total_bio[".pages"];
$tdatakardex_total_bio[".defaultPages"] = my_json_decode( "{\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"masterlist\":\"masterlist\",\"masterprint\":\"masterprint\",\"print\":\"print\",\"search\":\"search\"}" );
$tdatakardex_total_bio[".originalDefaultPages"] = $tdatakardex_total_bio[".defaultPages"];

//	field labels
$fieldLabelskardex_total_bio = array();
$fieldToolTipskardex_total_bio = array();
$pageTitleskardex_total_bio = array();
$placeHolderskardex_total_bio = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelskardex_total_bio["Spanish"] = array();
	$fieldToolTipskardex_total_bio["Spanish"] = array();
	$placeHolderskardex_total_bio["Spanish"] = array();
	$pageTitleskardex_total_bio["Spanish"] = array();
	$fieldLabelskardex_total_bio["Spanish"]["Pendiente_Bs"] = "Pendiente Bs";
	$fieldToolTipskardex_total_bio["Spanish"]["Pendiente_Bs"] = "";
	$placeHolderskardex_total_bio["Spanish"]["Pendiente_Bs"] = "";
	$fieldLabelskardex_total_bio["Spanish"]["Pagado_Bs"] = "Pagado Bs";
	$fieldToolTipskardex_total_bio["Spanish"]["Pagado_Bs"] = "";
	$placeHolderskardex_total_bio["Spanish"]["Pagado_Bs"] = "";
	$fieldLabelskardex_total_bio["Spanish"]["id_socio"] = "Id Socio";
	$fieldToolTipskardex_total_bio["Spanish"]["id_socio"] = "";
	$placeHolderskardex_total_bio["Spanish"]["id_socio"] = "";
	if (count($fieldToolTipskardex_total_bio["Spanish"]))
		$tdatakardex_total_bio[".isUseToolTips"] = true;
}


	$tdatakardex_total_bio[".NCSearch"] = true;



$tdatakardex_total_bio[".shortTableName"] = "kardex_total_bio";
$tdatakardex_total_bio[".nSecOptions"] = 0;

$tdatakardex_total_bio[".mainTableOwnerID"] = "apellido_Materno";
$tdatakardex_total_bio[".entityType"] = 1;
$tdatakardex_total_bio[".connId"] = "bsn_dividendos_at_localhost";


$tdatakardex_total_bio[".strOriginalTableName"] = "acciones_pagadas_pendientes";

	



$tdatakardex_total_bio[".showAddInPopup"] = false;

$tdatakardex_total_bio[".showEditInPopup"] = false;

$tdatakardex_total_bio[".showViewInPopup"] = false;

$tdatakardex_total_bio[".listAjax"] = false;
//	temporary
//$tdatakardex_total_bio[".listAjax"] = false;

	$tdatakardex_total_bio[".audit"] = true;

	$tdatakardex_total_bio[".locking"] = true;


$pages = $tdatakardex_total_bio[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatakardex_total_bio[".edit"] = true;
	$tdatakardex_total_bio[".afterEditAction"] = 1;
	$tdatakardex_total_bio[".closePopupAfterEdit"] = 1;
	$tdatakardex_total_bio[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatakardex_total_bio[".add"] = true;
$tdatakardex_total_bio[".afterAddAction"] = 1;
$tdatakardex_total_bio[".closePopupAfterAdd"] = 1;
$tdatakardex_total_bio[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatakardex_total_bio[".list"] = true;
}



$tdatakardex_total_bio[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatakardex_total_bio[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatakardex_total_bio[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatakardex_total_bio[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatakardex_total_bio[".printFriendly"] = true;
}



$tdatakardex_total_bio[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatakardex_total_bio[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatakardex_total_bio[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatakardex_total_bio[".isUseAjaxSuggest"] = true;



																																																																																																																																																

$tdatakardex_total_bio[".ajaxCodeSnippetAdded"] = false;

$tdatakardex_total_bio[".buttonsAdded"] = false;

$tdatakardex_total_bio[".addPageEvents"] = false;

// use timepicker for search panel
$tdatakardex_total_bio[".isUseTimeForSearch"] = false;


$tdatakardex_total_bio[".badgeColor"] = "cfae83";


$tdatakardex_total_bio[".allSearchFields"] = array();
$tdatakardex_total_bio[".filterFields"] = array();
$tdatakardex_total_bio[".requiredSearchFields"] = array();

$tdatakardex_total_bio[".googleLikeFields"] = array();
$tdatakardex_total_bio[".googleLikeFields"][] = "id_socio";
$tdatakardex_total_bio[".googleLikeFields"][] = "Pendiente_Bs";
$tdatakardex_total_bio[".googleLikeFields"][] = "Pagado_Bs";



$tdatakardex_total_bio[".tableType"] = "list";

$tdatakardex_total_bio[".printerPageOrientation"] = 0;
$tdatakardex_total_bio[".nPrinterPageScale"] = 100;

$tdatakardex_total_bio[".nPrinterSplitRecords"] = 40;

$tdatakardex_total_bio[".geocodingEnabled"] = false;










$tdatakardex_total_bio[".pageSize"] = 20;

$tdatakardex_total_bio[".warnLeavingPages"] = true;



$tstrOrderBy = "";
$tdatakardex_total_bio[".strOrderBy"] = $tstrOrderBy;

$tdatakardex_total_bio[".orderindexes"] = array();


$tdatakardex_total_bio[".sqlHead"] = "SELECT accionista as id_socio,  	Pendiente_Bs,  	Pagado_Bs";
$tdatakardex_total_bio[".sqlFrom"] = "FROM acciones_pagadas_pendientes";
$tdatakardex_total_bio[".sqlWhereExpr"] = "";
$tdatakardex_total_bio[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatakardex_total_bio[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatakardex_total_bio[".arrGroupsPerPage"] = $arrGPP;

$tdatakardex_total_bio[".highlightSearchResults"] = true;

$tableKeyskardex_total_bio = array();
$tdatakardex_total_bio[".Keys"] = $tableKeyskardex_total_bio;


$tdatakardex_total_bio[".hideMobileList"] = array();




//	id_socio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id_socio";
	$fdata["GoodName"] = "id_socio";
	$fdata["ownerTable"] = "acciones_pagadas_pendientes";
	$fdata["Label"] = GetFieldLabel("kardex_total_bio","id_socio");
	$fdata["FieldType"] = 3;


	
	
			

		$fdata["strField"] = "accionista";

	
	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "accionista";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatakardex_total_bio["id_socio"] = $fdata;
		$tdatakardex_total_bio[".searchableFields"][] = "id_socio";
//	Pendiente_Bs
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "Pendiente_Bs";
	$fdata["GoodName"] = "Pendiente_Bs";
	$fdata["ownerTable"] = "acciones_pagadas_pendientes";
	$fdata["Label"] = GetFieldLabel("kardex_total_bio","Pendiente_Bs");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "Pendiente_Bs";

		$fdata["sourceSingle"] = "Pendiente_Bs";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Pendiente_Bs";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatakardex_total_bio["Pendiente_Bs"] = $fdata;
		$tdatakardex_total_bio[".searchableFields"][] = "Pendiente_Bs";
//	Pagado_Bs
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "Pagado_Bs";
	$fdata["GoodName"] = "Pagado_Bs";
	$fdata["ownerTable"] = "acciones_pagadas_pendientes";
	$fdata["Label"] = GetFieldLabel("kardex_total_bio","Pagado_Bs");
	$fdata["FieldType"] = 14;


	
	
			

		$fdata["strField"] = "Pagado_Bs";

		$fdata["sourceSingle"] = "Pagado_Bs";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "Pagado_Bs";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Number");

	
	
	
	
	
	
	
		$vdata["DecimalDigits"] = 2;

	
	
	
	
	
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
							
	
//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatakardex_total_bio["Pagado_Bs"] = $fdata;
		$tdatakardex_total_bio[".searchableFields"][] = "Pagado_Bs";


$tables_data["kardex_total_bio"]=&$tdatakardex_total_bio;
$field_labels["kardex_total_bio"] = &$fieldLabelskardex_total_bio;
$fieldToolTips["kardex_total_bio"] = &$fieldToolTipskardex_total_bio;
$placeHolders["kardex_total_bio"] = &$placeHolderskardex_total_bio;
$page_titles["kardex_total_bio"] = &$pageTitleskardex_total_bio;


changeTextControlsToDate( "kardex_total_bio" );

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)

//if !@TABLE.bReportCrossTab

$detailsTablesData["kardex_total_bio"] = array();
//endif

// tables which are master tables for current table (detail)
$masterTablesData["kardex_total_bio"] = array();



	
	//if !@t.bReportCrossTab
			$strOriginalDetailsTable="bio-socio";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="bio-socio";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "bio_socio";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["kardex_total_bio"][0] = $masterParams;
				$masterTablesData["kardex_total_bio"][0]["masterKeys"] = array();
	$masterTablesData["kardex_total_bio"][0]["masterKeys"][]="id_Socio";
				$masterTablesData["kardex_total_bio"][0]["detailKeys"] = array();
	$masterTablesData["kardex_total_bio"][0]["detailKeys"][]="id_socio";
		
	//endif
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_kardex_total_bio()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "accionista as id_socio,  	Pendiente_Bs,  	Pagado_Bs";
$proto0["m_strFrom"] = "FROM acciones_pagadas_pendientes";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
				;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "accionista",
	"m_strTable" => "acciones_pagadas_pendientes",
	"m_srcTableName" => "kardex_total_bio"
));

$proto6["m_sql"] = "accionista";
$proto6["m_srcTableName"] = "kardex_total_bio";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "id_socio";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "Pendiente_Bs",
	"m_strTable" => "acciones_pagadas_pendientes",
	"m_srcTableName" => "kardex_total_bio"
));

$proto8["m_sql"] = "Pendiente_Bs";
$proto8["m_srcTableName"] = "kardex_total_bio";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "Pagado_Bs",
	"m_strTable" => "acciones_pagadas_pendientes",
	"m_srcTableName" => "kardex_total_bio"
));

$proto10["m_sql"] = "Pagado_Bs";
$proto10["m_srcTableName"] = "kardex_total_bio";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto12=array();
$proto12["m_link"] = "SQLL_MAIN";
			$proto13=array();
$proto13["m_strName"] = "acciones_pagadas_pendientes";
$proto13["m_srcTableName"] = "kardex_total_bio";
$proto13["m_columns"] = array();
$proto13["m_columns"][] = "accionista";
$proto13["m_columns"][] = "Pendiente_Bs";
$proto13["m_columns"][] = "Pagado_Bs";
$obj = new SQLTable($proto13);

$proto12["m_table"] = $obj;
$proto12["m_sql"] = "acciones_pagadas_pendientes";
$proto12["m_alias"] = "";
$proto12["m_srcTableName"] = "kardex_total_bio";
$proto14=array();
$proto14["m_sql"] = "";
$proto14["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto14["m_column"]=$obj;
$proto14["m_contained"] = array();
$proto14["m_strCase"] = "";
$proto14["m_havingmode"] = false;
$proto14["m_inBrackets"] = false;
$proto14["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto14);

$proto12["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto12);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="kardex_total_bio";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_kardex_total_bio = createSqlQuery_kardex_total_bio();


	
				;

			

$tdatakardex_total_bio[".sqlquery"] = $queryData_kardex_total_bio;



include_once(getabspath("include/kardex_total_bio_events.php"));
$tdatakardex_total_bio[".hasEvents"] = true;

?>